package com.securitycontrol.common.log.annotation;

import com.securitycontrol.common.log.enums.BusinessType;
import com.securitycontrol.common.log.enums.OperationType;
import com.securitycontrol.common.log.enums.OperatorType;

import java.lang.annotation.*;

/**
 * 自定义操作日志记录注解
 *
 * @author czc
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {
    /**
     * 模块
     */
    String title() default "";

    /**
     * 操作类型
     *
     * @return
     */
    OperationType grade() default OperationType.QUERY_BUSINESS;

    /**
     * 所属日志
     */
    String menu() default "";

    /**
     * 功能
     */
    BusinessType businessType() default BusinessType.QUERY;


    String details() default "";

    /**
     * 操作人类别
     */
    OperatorType operatorType() default OperatorType.MANAGE;

    /**
     * 是否保存请求的参数
     */
    boolean isSaveRequestData() default true;

    /**
     * 是否保存响应的参数
     */
    boolean isSaveResponseData() default true;

    /**
     * 日志类型
     */
    String type() default "业务日志";
}
